dst.defineClass("com.dst.slms.supplierprofile.supplierprofile.supplierProfileList", dst.framework.coreBillBaseList, {
	initalizeDOM:function(){
		com.dst.slms.supplierprofile.supplierprofile.supplierProfileList.superClass.initalizeDOM.call(this);
	},
	type_onClick1:function(event, treeId, treeNode){
		var filter = this.getDefaultFilterItems();
		filter['type1']= treeNode.value;
		$(this.gridId).datagrid('reload');
	},
	type_onClick:function(event, treeId, treeNode){
		var filter = this.getDefaultFilterItems();
		filter['type']= treeNode.value;
		$(this.gridId).datagrid('reload');
	}
});